<bugID>1037992<Summary>Refactor the script actors to use protocol.js</Summary><Description>A long term goal for the devtools team is to refactor all debugger actors to use protocol.js. The script actors are the most prominent amongst those, so they seem like a good place to start.</Description></bugID>